Subject: bug#68812: 30.0.50; vhdl-speedbar-insert-hierarchy in progmodes/vhdl-mode.el

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jan 2024 14:58:29 +0200

> From: Richard Stallman <[email-masked]>
> Date: Mon, 29 Jan 2024 22:56:20 -0500
> 
> 
> Byte compilation gave me this warning from lisp/progmodes/vhdl-mode.el:
> 
> Compiling file /home/rms/emacs-git/copy-jan-1/lisp/progmodes/vhdl-mode.el at Mon Jan 29 08:29:07 2024
> 
> In vhdl-speedbar-insert-hierarchy:
> vhdl-mode.el:14981:41: Warning: Lexical argument shadows the dynamic variable
>     package-alist

AFAIU, this only happens if you compile with package.el loaded.
Normal byte compilation ("touch vhdl-mode.el && make") doesn't emit
this warning

> The latest master has the same problem.
> 
> I don't know that code, so I can't tell whether renaming the argument
> would fix the problem.

I think it can be safely renamed.  Reto, do you agree?